import { html as u } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (e = (r ? c(t, s, e) : c(e)) || e);
  return r && e && h(t, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--youtubeCircle", this.class = "c-pieIcon c-pieIcon--youtubeCircle", this.name = "IconSocialYoutubeCircle";
  }
  render() {
    return u`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--youtubeCircle"><path d="M8 1.175A6.781 6.781 0 1 0 14.78 8 6.79 6.79 0 0 0 8 1.175Zm0 12.25A5.469 5.469 0 1 1 8 2.487a5.469 5.469 0 0 1 0 10.938Z"></path><path fill-rule="evenodd" d="M10.344 6.129a.76.76 0 0 1 .53.542C11 7.15 11 8.15 11 8.15s0 .998-.125 1.477a.76.76 0 0 1-.53.543c-.469.128-2.345.128-2.345.128s-1.876 0-2.344-.128a.76.76 0 0 1-.53-.543C5 9.147 5 8.15 5 8.15s0-1 .125-1.478a.76.76 0 0 1 .53-.542C6.125 6 8 6 8 6s1.876 0 2.344.129Zm-1.39 2.173-1.568.907V7.395l1.569.907Z" clip-rule="evenodd"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  f("icon-social-youtube-circle")
], o);
export {
  o as IconSocialYoutubeCircle
};
